var NetworkMonitor = new Class({
	monitor: false,
	
	initialize: function() 
	{
		this.monitor = new air.URLMonitor(new air.URLRequest('http://www.google.com')); 
		this.monitor.addEventListener(air.StatusEvent.STATUS, this.status.bind(this)); 
	},
	
	status: function() 
	{
		// debug("Status change. Current status: " + this.monitor.available); 
		
		if (!this.monitor.available) {
			error({ errorID: -6, text: 'Connection lost.'	});
			
			if (file_manager && file_manager.is_uploading)
				file_manager.pauseUpload();
		}
		else {
			error_lightbox.hide();
			
			if (!vimeo.logged_in) {
				vimeo.login();
			}
			else if(file_manager.is_paused) {
				debug("UPLOAD PAUSED? " + file_manager.is_paused);
				file_manager.resumeUpload();
			}
		}
	},
	
	isAvailable: function() 
	{
		return this.monitor.available;
	},
	
	start: function() 
	{
		this.monitor.start();
	},
	
	stop: function() 
	{
		this.monitor.stop();
	}
});
